# TODO:
# - examine ldap and sasl support (deps are pulled into *.la, no direct linking anywhere?)
#
# Conditional build:
%bcond_without	upnp	# UPnP support (via miniupnp)
#
Summary:	A free Socks v4/v5 client implementation
Summary(pl.UTF-8):	Darmowa implementacja klienta Socks v4/5
Name:		dante
Version:	1.3.2
Release:	2
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://ftp.inet.no/pub/socks/%{name}-%{version}.tar.gz
# Source0-md5:	250c6456cd3fefa17f07fa80c9ccf6bd
Source1:	sockd.init
Patch0:		%{name}-am.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-miniupnp.patch
URL:		http://www.inet.no/dante/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	heimdal-devel
BuildRequires:	libtool
BuildRequires:	libwrap-devel
%{?with_upnp:BuildRequires:	miniupnpc-devel >= 1.6}
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
%{?with_upnp:Requires:	miniupnpc >= 1.6}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%description -l pl.UTF-8
Dante jest darmową implementacją protokołów proxy: socks w wersji 4,
socks w wersji 5 (rfc1928) oraz msproxy. Może być używany jako zapora
pomiędzy sieciami. Implementacja jest rozwijana przez Inferno Nettverk
A/S - Norweską firmę konsultingową. Komercyjne wsparcie jest dostępne.

Ten pakiet zawiera dynamiczne biblioteki wymagane do "usocksowiania"
istniejących aplikacji tak by działały one jako klienci socks.

%package server
Summary:	A free Socks v4/v5 server implementation
Summary(pl.UTF-8):	Darmowa implementacja serwera Socks v4/5
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%description server -l pl.UTF-8
Ten pakiet zawiera serwer proxy socks oraz jego dokumentację. Serwer
sockd jest częścią pakietu proxy Dante. Za pośrednictwem serwera
klienci mogą łączyć się z serwerami w sieci.

%package devel
Summary:	Development files for socks library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki socks
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	cyrus-sasl-devel
Requires:	heimdal-devel
%{?with_upnp:Requires:	miniupnpc-devel >= 1.6}
Requires:	openldap-devel
Requires:	pam-devel

%description devel
Development files required to compile programs that use socks.

%description devel -l pl.UTF-8
Pliki programistyczne wymagane do rozwoju programów korzystających z
socks.

%package static
Summary:	Static socks library
Summary(pl.UTF-8):	Statyczna biblioteka socks
Group:		Networking/Daemons
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static socks library.

%description static -l pl.UTF-8
Statyczna biblioteka socks.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--without-glibc-secure \
	%{!?with_upnp:--without-upnp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install example/sock{s,d}.conf $RPM_BUILD_ROOT%{_sysconfdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sockd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post server
/sbin/chkconfig --add sockd
if [ -f /var/lock/subsys/sockd ]; then
	/etc/rc.d/init.d/sockd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/sockd start\" to start dante sockd daemon."
fi

%postun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/sockd ]; then
		/etc/rc.d/init.d/sockd stop 1>&2
	fi
	/sbin/chkconfig --del sockd
fi

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS LICENSE NEWS README SUPPORT UPGRADE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/socks.conf
%attr(755,root,root) %{_libdir}/libsocks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsocks.so.0
%attr(755,root,root) %{_libdir}/libdsocks.so
%attr(755,root,root) %{_bindir}/socksify
%{_mandir}/man5/socks.conf.5*
%{_mandir}/man1/socksify.1*

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sockd.conf
%attr(754,root,root) /etc/rc.d/init.d/sockd
%attr(755,root,root) %{_sbindir}/sockd
%{_mandir}/man8/sockd.8*
%{_mandir}/man5/sockd.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsocks.so
%{_libdir}/libsocks.la
%{_libdir}/libdsocks.la
%{_includedir}/socks.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsocks.a
%changelog
* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> f529e0a
- added miniupnp patch (fixes build with miniupnpc 1.6+) and upnp bcond

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 58414cf
- added link patch (no unnecessary linking with -lnsl)
- BR: libtool heimdal-devel pam-devel
  and (no direct linking, but features enabled conditionally for): cyrus-sasl-devel openldap-devel
- added try-restart action to init script

* Mon Feb 04 2013 Jakub Bogusz <qboosh@pld-linux.org> a9a325a
- added am patch (fixes build with automake 1.13)
- disable silent-rules

* Sat Feb 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 750f259
- rel 2; fix files

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> 6a108fd
- up to 1.3.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7132b5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f9a5fb0
- converted to UTF-8

* Mon Jan 09 2006 aredridel <aredridel@pld-linux.org> 7841623
- up to 1.1.19-pre1

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> aed9251
- adapterized (sorted %verify flags)

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> c8a63d7
- remove remnants from template.init

* Thu Jul 14 2005 areq <areq@pld-linux.org> 9bbcd8e
- 1.1.17

* Mon Jul 04 2005 areq <areq@pld-linux.org> 6f448d6
- 1.1.16

* Tue Nov 30 2004 domelu <domelu@pld-linux.org> 2d41abd
- up to pre2

* Wed Nov 10 2004 paladine <paladine@pld-linux.org> ff05302
- cosmetics

* Sun Oct 03 2004 averne <averne@pld-linux.org> bc71594
- updated to 1.1.15-pre1

* Tue Sep 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 5861902
- strict internal deps, BR: automake

* Tue Sep 14 2004 krolik <krolik@pld-linux.org> cf5a2dc
- config.sub added, should works with amd64

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> cc2ed1f
- caps unification, other cosmetics

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> a9402f9
- cosmetics

* Sat Aug 09 2003 Tomasz Pala <gotar@pld-linux.org> e531239
- upgraded to 1.1.14

